# .readthedocs.yaml
version: 2

# Set the version of Python and other tools you might need
build:
  os: ubuntu-20.04
  tools: {python: "3.9"}
  jobs:
    pre_create_environment:
      - asdf plugin add poetry
      - asdf install poetry latest
      - asdf global poetry latest
      - poetry config virtualenvs.create false
    post_install:
      - poetry install

python:
  install:
    - method: pip
      path: .

# Build documentation in the docs/ directory with Sphinx
sphinx:
  configuration: docs/conf.py
